export const septnetJS = `var jsSDK = 'septnetJS';

function execute(action, opt, success, error) {
    if (success) {
        window[jsSDK][action + "Success"] = success;
    }
    if (error) {
        window[jsSDK][action + "Error"] = error;
    }
    if (typeof opt == 'object') {
        opt = JSON.stringify(opt);
    }

    var u = navigator.userAgent;
    var isIOS = u.indexOf('iPhone') > 0 || u.indexOf('iPad') > 0 ;

    if(!isIOS){
        console.log("septnetBrowser",septnetBrowser);
        septnetBrowser.execute(action, opt || null, jsSDK + [action + "Success"], jsSDK + [action + "Error"]);
    }else{
        console.log("messageHandlers");

     window.webkit.messageHandlers.septnetBrowser.postMessage({
        "action": action,
        "opt":opt || null,
        "success":jsSDK + [action + "Success"],
        "error":jsSDK + [action + "Error"]
     });
     }

}

window[jsSDK] = {
    /**
     * 打开新窗口
     * @param {url,showShare} opt 
     * @param {Function} success 
     * @param {Function} error 
     */
    openView: function (opt, success, error) {
        execute('open', opt, success, error)
    },

    /**
    * 关闭当前窗口
    * @param {Function} success 
    */
    close: function (success) {
        execute('close',null, success, null)
    },

    /**
     * 页面
     * @param  {token,baseUrl,userGuid,orderCode, priceAndroid} opt 
     * @param {Function} success 成功回调
     * @param {Function} error 失败回调
     */
    pay: function (opt, success, error) {
        execute('pay', opt, success, error)
    },

    /**
     * 分享: 
     * @param { title?, url?, img?, text?} opt 
     * @param {Function} success 
     * @param {Function} error 
     */
    share: function (opt, success, error) {
        execute('share', opt, success, error)
    },

    /**
     * 打开视频
     * @param {token,baseUrl,userGuid,activityUrl, _id} opt 
     * @param {Function} success 成功回调
     * @param {Function} error 失败回调
     */
    openVideo: function (opt, success, error) {
        execute('openVideo', opt, success, error)
    },

    /**
     * 保存图片
     * @param {string} img 图片链接
     * @param {Function} success 
     * @param {Function} error 
     */
    saveImage: function (img, success, error) {
        execute('saveImage', img, success, error)
    },

     /**
     * 刷新页面
     * @param {string} opt
     * @param {Function} success
     * @param {Function} error
     */
    reload: function (opt,success, error) {
        execute('reload',opt, success, error)
    },
}

console.log('septnetJS init success');
typeof window[jsSDK].onReady == 'function' && window[jsSDK].onReady();`
